<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" matSort aria-label="Elements">
    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
      <td mat-cell *matCellDef="let row">{{row.name}}</td>
    </ng-container>

    <ng-container matColumnDef="location">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Location</th>
      <td mat-cell *matCellDef="let row">{{row.location}}</td>
    </ng-container>

    <ng-container matColumnDef="startDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Start Date</th>
      <td mat-cell *matCellDef="let row">{{row.startDate}}</td>
    </ng-container>

    <ng-container matColumnDef="endDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>End Date</th>
      <td mat-cell *matCellDef="let row">{{row.endDate}}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef>Actions</th>
      <td mat-cell *matCellDef="let row">
        <button mat-icon-button
                color="primary"
                matTooltip="Register new project"
                aria-label="Register new project"
                (click)="registerNewProject()"
        >
          <mat-icon>app_registration</mat-icon>
        </button>

        <button mat-icon-button
                color="primary"
                matTooltip="Registered project"
                aria-label="Registered project"
                [routerLink]="['/hackathons/', row.id]"
        >
          <mat-icon>apps</mat-icon>
        </button>

        <button mat-raised-button
                matTooltip="Info about the action">
          Edit
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="getColumnNames()"></tr>
    <tr mat-row *matRowDef="let row; columns: getColumnNames();"></tr>
  </table>

  <mat-paginator #paginator
                 [length]="dataSource?.data?.length"
                 [pageIndex]="0"
                 [pageSize]="10"
                 [pageSizeOptions]="[5, 10, 20]"
                 aria-label="Select page">
  </mat-paginator>
</div>

<div style="z-index:5; position : fixed;display : flex; align-self : flex-end; bottom : 33px; right: 43px;">
  <div class="example-button-container">
    <button mat-fab color="warn" aria-label="New hackathon"
            matTooltip="Register new Hackathon"
            (click)="openCreateFormDialog()">
      <mat-icon>add</mat-icon>
    </button>
  </div>
</div>
